Bug 613652 - aspell fails
Summary: aspell fails
Status: CLOSED DUPLICATE of bug 587248
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: aspell   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
high
urgent
Target Milestone: rc
: ---
Assignee: Ivana Varekova
QA Contact: QE Internationalization Bugs
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-12 14:06 UTC by Andrew Hecox
Modified: 2010-10-18 16:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In Red Hat Enterprise Linux 6, the aspell package's functionality is replaced by hunspell. The aspell package remains as a build-requirement only package and is not supported
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 16:32:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Hecox 2010-07-12 14:06:08 UTC
on a default install of RHEL 6 beta2 + nightlies, invoking aspell fails with:

 Error: No word lists can be found for the language "en_US".

per https://bugzilla.redhat.com/show_bug.cgi?id=494084 I have hunspell-en installed

 hunspell-1.2.8-16.el6.i686
 hunspell-en-0.20090216-7.1.el6.noarch

LANG is set to en_US.utf8

Comment 2 Bill Nottingham 2010-07-12 16:30:37 UTC
aspell does not use hunspell dictionaries. To spell check, use hunspell.

Comment 3 Andrew Hecox 2010-07-12 18:26:55 UTC
then why are we still shipping aspell?

Comment 4 Andrew Hecox 2010-07-12 18:28:45 UTC
specifically, why are we shipping aspell without any dictionaries?

Comment 5 Bill Nottingham 2010-07-12 18:50:03 UTC
It's a build requirement for some hunspell dictionaries, which can't be fixed. emacs is also pulling it in, which really should be fixed. (I'll file a separate bug for that.)

Comment 6 Bill Nottingham 2010-07-12 18:52:14 UTC
emacs filed as bug 613759.

Comment 7 Andrew Hecox 2010-07-12 20:41:24 UTC
thanks Bill ... suggesting CLOSE WONTFIX + release note:

"In Red Hat Enterprise Linux 6, the aspell package's functionality is replaced by hunspell. The aspell package remains as a build-requirement only package and is not supported"

(I'm sure that language could be improved)

Comment 8 Andrew Hecox 2010-07-12 20:41:24 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
In Red Hat Enterprise Linux 6, the aspell package's functionality is replaced by hunspell. The aspell package remains as a build-requirement only package and is not supported

Comment 9 Ivana Varekova 2010-07-13 07:19:49 UTC
This bug is the duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=587248.
Thus I prefer to close is as DUPLICATE.

Comment 10 Bill Nottingham 2010-07-13 16:32:30 UTC

*** This bug has been marked as a duplicate of bug 587248 ***


Note You need to log in before you can comment on or make changes to this bug.